summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Faker/Faker-19.7.0.ebuild40
-rw-r--r--dev-python/Faker/Manifest2
-rw-r--r--dev-python/Levenshtein/Levenshtein-0.23.0.ebuild47
-rw-r--r--dev-python/Levenshtein/Manifest2
-rw-r--r--dev-python/Manifest.gzbin267278 -> 267285 bytes
-rw-r--r--dev-python/google-auth/Manifest2
-rw-r--r--dev-python/google-auth/google-auth-2.23.3.ebuild60
-rw-r--r--dev-python/h5py/Manifest2
-rw-r--r--dev-python/h5py/h5py-3.10.0.ebuild70
-rw-r--r--dev-python/hidapi/Manifest3
-rw-r--r--dev-python/hidapi/files/hidapi-0.14.0-cython3.patch134
-rw-r--r--dev-python/hidapi/hidapi-0.14.0.ebuild34
-rw-r--r--dev-python/openapi-spec-validator/Manifest2
-rw-r--r--dev-python/openapi-spec-validator/openapi-spec-validator-0.7.0.ebuild50
-rw-r--r--dev-python/process-tests/Manifest2
-rw-r--r--dev-python/process-tests/process-tests-2.1.2-r1.ebuild2
-rw-r--r--dev-python/pytest-cov/Manifest2
-rw-r--r--dev-python/pytest-cov/pytest-cov-4.1.0.ebuild19
-rw-r--r--dev-python/pytest-timeout/Manifest2
-rw-r--r--dev-python/pytest-timeout/pytest-timeout-2.2.0.ebuild21
-rw-r--r--dev-python/python-lsp-server/Manifest2
-rw-r--r--dev-python/python-lsp-server/python-lsp-server-1.8.2.ebuild93
-rw-r--r--dev-python/selenium/Manifest3
-rw-r--r--dev-python/selenium/selenium-4.14.0.ebuild63
-rw-r--r--dev-python/shapely/Manifest2
-rw-r--r--dev-python/shapely/files/shapely-2.0.1-cython3.patch30
-rw-r--r--dev-python/shapely/shapely-2.0.1-r1.ebuild56
-rw-r--r--dev-python/structlog/Manifest2
-rw-r--r--dev-python/structlog/structlog-23.2.0.ebuild31
-rw-r--r--dev-python/xlsxwriter/Manifest2
-rw-r--r--dev-python/xlsxwriter/xlsxwriter-3.1.7.ebuild28
31 files changed, 780 insertions, 28 deletions
diff --git a/dev-python/Faker/Faker-19.7.0.ebuild b/dev-python/Faker/Faker-19.7.0.ebuild
new file mode 100644
index 000000000000..34d2cdd3a7af
--- /dev/null
+++ b/dev-python/Faker/Faker-19.7.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="
+ https://github.com/joke2k/faker/
+ https://pypi.org/project/Faker/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ !dev-ruby/faker
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=faker.contrib.pytest.plugin
+ epytest
+}
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index 88c3a4ab4af3..2fec6b7cf4e4 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -1,5 +1,7 @@
DIST Faker-19.6.1.tar.gz 1668966 BLAKE2B 48e1d0c658e7cd482660b797e5ac8e107c84e7d2be9ab86e55cb5f0da662ed742565c1f5a3176d1f2588b8ffafcc37e7dbd072c78e5b1ab94bea8678ea9f1d48 SHA512 1511f03cb41f70a22784a8dc1cdb5b58fdc19fc6f67d4a414a9b15619d019ec6b6564b7fa50db03535aaa3650ae93e4c948c732ae65e61652d7469d9ad83db36
DIST Faker-19.6.2.tar.gz 1680331 BLAKE2B 3453c531a1860c3e1782e24ad2d892d8291e1fafc698483639f43e7bdd281cee6e5c8bf7e60181db72011c1434ca3bc1c7f2a877ce136bf6e4f00286249033b9 SHA512 8a7929135ad562fafc2c95408ed644e7b965215d3e9ea2f2682e2aa2a5bab9759ab42d67380c7f8c89cf099cb65ad0dd13f6575c028f20550ef157f7db90102b
+DIST Faker-19.7.0.tar.gz 1680303 BLAKE2B 80169d818749003b6961adb85969eb025c38b81d8d333466b304815396aaf646b1a9e1fb9457e68292600576fa6a91ae1851af85e2bc3403dfa383f223fe49ab SHA512 f9b47d0bf52f5ba3a300222d45ad087eedbdf9ed7b1cae11cb600834f8919247e9000211157811dc016be7040925ec7930a407e8ea497ca87cae382d1edd2a56
EBUILD Faker-19.6.1.ebuild 843 BLAKE2B f7afed3a820435e2ac3dc3584d8054556c174b182b29dbce82e980a718d476c6b586e351177c60df8780521f91cc24bb75f3aa76811146cad6bb6f882fb04e66 SHA512 82841909516426e131179bb6f8c99c45e483bd450ace91472b530a5f97b6571e45df254f5d2b1d0d44207f08aa10421c05d280f027eb3c1dc3cfd1bbc677e98c
EBUILD Faker-19.6.2.ebuild 852 BLAKE2B 6199226fba1ab7dd41d9ca1c41ecac47961e48a0f182f94b271fd63c917ccc0bc33fb32da7acd5de89e8a771bbf4f23ced52badbcfc10894884c0e2ed49a48c3 SHA512 e1b5a6c177d6aef7074bf5293b41b5e558850edbc2deb4c950c01a0586376fa0f824762ff50f468d7a21eb8461658524f2f5b26f77cbad21969db1d58ee79f90
+EBUILD Faker-19.7.0.ebuild 852 BLAKE2B 6199226fba1ab7dd41d9ca1c41ecac47961e48a0f182f94b271fd63c917ccc0bc33fb32da7acd5de89e8a771bbf4f23ced52badbcfc10894884c0e2ed49a48c3 SHA512 e1b5a6c177d6aef7074bf5293b41b5e558850edbc2deb4c950c01a0586376fa0f824762ff50f468d7a21eb8461658524f2f5b26f77cbad21969db1d58ee79f90
MISC metadata.xml 498 BLAKE2B c9b7885dc7d34f2263068624a6b07ac6f1ec8078cc11abb6137612ba57edffefc48dae2708284aa83ecc941ebb2d3b8a87a143648e404a0683e75bb6c078f4e2 SHA512 0b385bbbfbb026803526e43c6c43965ff75f42d3ab133603708b187686aac29de508856e5e8ae7622a66b99032efa97f95c21625e10d074c858d8aff7446a312
diff --git a/dev-python/Levenshtein/Levenshtein-0.23.0.ebuild b/dev-python/Levenshtein/Levenshtein-0.23.0.ebuild
new file mode 100644
index 000000000000..72431dbaab2c
--- /dev/null
+++ b/dev-python/Levenshtein/Levenshtein-0.23.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+# custom wrapper over setuptools
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Functions for fast computation of Levenshtein distance, and edit operations"
+HOMEPAGE="
+ https://pypi.org/project/Levenshtein/
+ https://github.com/maxbachmann/Levenshtein/
+"
+SRC_URI="
+ https://github.com/maxbachmann/Levenshtein/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+DEPEND="
+ >=dev-cpp/rapidfuzz-cpp-2.0.0
+"
+RDEPEND="
+ <dev-python/rapidfuzz-4.0.0[${PYTHON_USEDEP}]
+ >=dev-python/rapidfuzz-3.1.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/cython-3.0.2[${PYTHON_USEDEP}]
+ >=dev-python/scikit-build-0.13.0[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # sterilize build flags
+ sed -i -e '/CMAKE_INTERPROCEDURAL_OPTIMIZATION/d' CMakeLists.txt || die
+
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/Levenshtein/Manifest b/dev-python/Levenshtein/Manifest
index f6cb365b1f14..e4fc55aa9a69 100644
--- a/dev-python/Levenshtein/Manifest
+++ b/dev-python/Levenshtein/Manifest
@@ -1,5 +1,7 @@
DIST Levenshtein-0.21.1.gh.tar.gz 36656 BLAKE2B b2e5325cd836b646d876fb59d1062c7bb415d707076d9692fff2b98e00dce29d813fb68c139283d66f8800fd836ec93b709ac7ebfaa6d9cca563b65c428019ef SHA512 5fd823e7871c53f521198275b7ebb3189f7208347d41f306686e11446397c4ed5b2672230cbfa76a0c2f1afcc08fd24c6c7468d808be2a09bb9c31c2d9f61f16
DIST Levenshtein-0.22.0.gh.tar.gz 36726 BLAKE2B dec59ca80d0c40295a97adeb59f7946be3e38b3b29e7ec7345e07c0853e5817df6d98213e6d60bf4300a7998ee9754da5d266567aed0c543f8c82955b7821a39 SHA512 f762d6702dc3acbde1c545ec4ca3bb5c96ce256319c4cd045737fa9c7309f5fab7dca621a09b1fb6f89a925f505737cbde9c1f480d3c2f4a2b948b1b8083bbee
+DIST Levenshtein-0.23.0.gh.tar.gz 36891 BLAKE2B 847772ee88a76881c0974a1a9c1ef252320308f17b30b227f8251b0a8b8454c2289e02a24b2a9cb225d34183c5b6e4dbf574b22a5d37a1b453596ff0cb6e0aa0 SHA512 137116f337f576534bf2c12dc49d35f81a3b267eb613e5e6cca6cb80e5701dd0adbfd97c1cec4ea8f1bb4dee2bc67deeb19553474348ea78af4e05b79ce01fdf
EBUILD Levenshtein-0.21.1.ebuild 1062 BLAKE2B 51dd32567f98652893949938e241d6c1c62d4715e0dfd2db64594df8d2e93b995725b3d6e0c50139dcae777f803d0a569674dd0daf24ba0a05431763bd93bfc9 SHA512 8790f0a230bd62363669eba93dd95ade80cb58014086d439b7380643b1f8e7e1add645de13903f72dbb13eb62539aa7def1f0e7fa156eeda0722a7fd3d2f63b8
EBUILD Levenshtein-0.22.0.ebuild 1077 BLAKE2B f6f834b2d8b1db9d2d2a8cbf56b128bb13b479c945ca6b996b6cb79bae4e2cee7f73f089b6b1e3757ba31cd649d1ee77009981a12bb1e0601609be7c9e9f57eb SHA512 6403310f2a2adc30beb0bff5de09b5fe264b4e65eedcdf023f79c34499751c1b22f74d09a1d9c4d3f1d9303d1ff4f88f5387375e26457ad68c15954e18bfb4af
+EBUILD Levenshtein-0.23.0.ebuild 1125 BLAKE2B 7226d46530aff5a5a91d174d33be798afdb9c7ef73a30606d845c2dc01d1f4b1777347ab54946f53bea53485567cdfc1bdc7d0a8b6771dccbbb8fb8be457b880 SHA512 4131a065b7ba6614e12befe33d3311e5da7921ad779ac8915070e06fbba9212a44e1893adb1c2a142a18149a92cb38b9b0fc24430f1fc37d9080d690d4185b8e
MISC metadata.xml 378 BLAKE2B 59900a9f2532c274a220466ff9bd5db4a4830b221119a95a0fdf82928b90c64b458b16c26257b69093ac08346bafbe54189bdb873bb8f119753a4f2243973eb9 SHA512 26b3ddc5d3843122a47941cb1e388e41f6a3f98e3f8d2f5108f50240b5c9005edb2b1e2df55c9046d48a8b4e07941f8ccd4fdee129f4ac948a47a6207b73c7ba
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index 59c50473ad5f..f94c1c4364a3 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/google-auth/Manifest b/dev-python/google-auth/Manifest
index 135976c8a554..ccc33871f07a 100644
--- a/dev-python/google-auth/Manifest
+++ b/dev-python/google-auth/Manifest
@@ -1,3 +1,5 @@
DIST google-auth-2.23.2.tar.gz 232207 BLAKE2B 0de53f79bd908d7194253525de07075779ffc0ed33ef71e50004773ba85aee8e7392cd5cc87ad88b5f9ce90bc3eb19c0c094d0e76311d2cd93fb0bdb62ab2450 SHA512 d443b769e6ee7de6da14e31f8beb938aaf63edecafcbedda46b253bf0380dbd78a4508a0214f7a708a09c39d1d262cc93a290ec44e89fa05da7796828f33c1fd
+DIST google-auth-2.23.3.tar.gz 232472 BLAKE2B aab7c55e6037751f578c9b9ec83c2efac10bd0e9d755b56ff21cba68ce71baaff73f4947b00da54b02e41742f718b854d1c2efb88bf8ba8cb582c2425afcb29f SHA512 a561c1359e520e82de6faf3e0d60f8c072b96231ee2db54bea59ad9fa5caa505f91ab5b1008f7a3ebecdfcd70fbddbcfb5c19dfad8b0fe1424558284757aeb4b
EBUILD google-auth-2.23.2.ebuild 1478 BLAKE2B 4bedb77f85b4b3f039a5beb4516b7649d88c63d241621c7dc645833cbb55dbad04a1bbf6c19549bd13ffcc19e43c0761976ef8dc3e94a8a62f62f7fdef73c750 SHA512 b612b318441930cc8d8ee6d0d14c2db301e0080cf0afaa5990e818ab0a44891314903789ab9fe2b1c573ec17400c2de3921b32ca01cd6298923a714d72209223
+EBUILD google-auth-2.23.3.ebuild 1480 BLAKE2B 79680b9d542cdafceb202bf0e1f49d7c654957aa7f186e8bd61ad53dd11ce2ab0b431d7e66ae012485ebe334161d4d3a8513f1237356500aa338d580c42bfcd2 SHA512 e7a800bf2b76574ee015da9753edcd18f4a9a7cb2953ee43f2712a7ee0d1a8164d900a790a5787af106d057fa6c9e0b8686a7077b956f31e0a71386e162476d6
MISC metadata.xml 521 BLAKE2B 784282f6a173e7746a408556d77e1277f65a41eae545b6b26054c1e506642e683c1c7d91798f3b7b690bc4f9d2f642a51c1395593177eebf1770d2a0c0ba589e SHA512 c2624ebca3dc42961e61531db4724b2b354a722f71cd7f2c194680fee50125d2251f4b94cc7e31b008a2792e74b0f55f407a1230d3f59572df9cf32ee49d2fb7
diff --git a/dev-python/google-auth/google-auth-2.23.3.ebuild b/dev-python/google-auth/google-auth-2.23.3.ebuild
new file mode 100644
index 000000000000..3136de42f585
--- /dev/null
+++ b/dev-python/google-auth/google-auth-2.23.3.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Google Authentication Library"
+HOMEPAGE="
+ https://github.com/googleapis/google-auth-library-python/
+ https://pypi.org/project/google-auth/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ <dev-python/cachetools-6.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-modules-0.2.1[${PYTHON_USEDEP}]
+ >=dev-python/rsa-3.1.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/grpcio[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/moto[${PYTHON_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ dev-python/pyu2f[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # these are compatibility tests with oauth2client
+ # disable them to unblock removal of that package
+ tests/test__oauth2client.py
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/h5py/Manifest b/dev-python/h5py/Manifest
index 6b3dd6dddb4c..4251858dfbd5 100644
--- a/dev-python/h5py/Manifest
+++ b/dev-python/h5py/Manifest
@@ -1,3 +1,5 @@
+DIST h5py-3.10.0.tar.gz 403716 BLAKE2B a8e4351a15aee5fe9d23f9c5f9b6ff44e688a391ba17e27338675bde60415c73e3cd97a4a0c05490df849f649d626450d3dbecc9ae6ea3d24d784a0a4aaa1850 SHA512 840d7f2b9b9d5e22e8edae21c84884abec64acdd6c36437a4921ce9dc1b343c55f66f72b699146d71fe55688f6f948787b62335a24906288e9565b2b19b24b01
DIST h5py-3.9.0.tar.gz 402856 BLAKE2B e2c617c492c2fba751fa546292232b78e1cec4bc75fb50a7c59cdb4a34bc927134d4604d3d9b24f880235cfb356636e66907b8026107547905a77ed9732ccc26 SHA512 f87cb36ba874e86b179776031c3345ad83bc7b5eff2f3ee54acb6b0997cc7925c17dc478957103ab6bb07d8aaa8593af1d51c3547021a205e9d01c0e36d833a9
+EBUILD h5py-3.10.0.ebuild 1491 BLAKE2B 6025ed33ed08fe8b011e6c1e5918050f84fb148d78ec8fc47f466ce50df1cc12a3a76583e19167015a9820a8e1dc364cc02ad136a6557326a389f7124f26ba9e SHA512 288f6a933f325da362e01c3dc29f88f1358ca8152bdeca71b911ae8de82a82f500aea9e36f8121f9fdfe8fd3d4ce98fae40ebaf5d143d3716779a459d1e5a04d
EBUILD h5py-3.9.0.ebuild 1480 BLAKE2B 4c1bfcb5ff7ce7e7bb82ed649cf905e3a786f5b15c1cbcc814c510ddd53782602e84dc5130425643b117f8b291eddb33def4260d3ab6f53758811765b6698740 SHA512 fccee4989e98ee59979f16adcf2db09d2aa01253d3a103413481adf3d68dfc80a75359ae64d610d2c560bc3fe63f41be23cf2a6377c7b4568fcd160fd4440610
MISC metadata.xml 1069 BLAKE2B 0f3ef8e7af7f4bb493824427a238588c019c04c28fe8a4b9c0b9af1c986158eb3dae3b7d7937713cc4c87374ef80686603ccdbae2baff5b1150d814ab108d973 SHA512 47a6074e383cc922234ebb9f67aaa5863421eaeb2003444587bb8499b3bf845da93ac8d8d267717bea01300691df10f67c9389248fbe228afe07c17fba3a64f3
diff --git a/dev-python/h5py/h5py-3.10.0.ebuild b/dev-python/h5py/h5py-3.10.0.ebuild
new file mode 100644
index 000000000000..268436d2c1bb
--- /dev/null
+++ b/dev-python/h5py/h5py-3.10.0.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Simple Python interface to HDF5 files"
+HOMEPAGE="
+ https://www.h5py.org/
+ https://github.com/h5py/h5py/
+ https://pypi.org/project/h5py/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~x64-macos"
+# disable mpi until mpi4py gets python3_8
+#IUSE="examples mpi"
+IUSE="examples"
+
+#RDEPEND="sci-libs/hdf5:=[mpi=,hl(+)]
+DEPEND="
+ >=sci-libs/hdf5-1.10.4:=[hl(+)]
+"
+RDEPEND="
+ ${DEPEND}
+ >=dev-python/numpy-1.17.3[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ <dev-python/cython-3[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.14.5[${PYTHON_USEDEP}]
+ dev-python/pkgconfig[${PYTHON_USEDEP}]
+ test? (
+ dev-python/QtPy[testlib,${PYTHON_USEDEP}]
+ )
+"
+# mpi? ( virtual/mpi )
+# mpi? ( dev-python/mpi4py[${PYTHON_USEDEP}] )
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs \
+ dev-python/alabaster
+
+#pkg_setup() {
+# use mpi && export CC=mpicc
+#}
+
+python_prepare_all() {
+ # avoid pytest-mpi dep, we do not use mpi anyway
+ sed -i -e 's:pytest-mpi::' pytest.ini || die
+ distutils-r1_python_prepare_all
+
+ export H5PY_SETUP_REQUIRES=0
+}
+
+python_test() {
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ epytest -m "not mpi"
+}
+
+python_install_all() {
+ use examples && dodoc -r examples
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/hidapi/Manifest b/dev-python/hidapi/Manifest
index 8d0a1e66f09b..31474b83a083 100644
--- a/dev-python/hidapi/Manifest
+++ b/dev-python/hidapi/Manifest
@@ -1,3 +1,6 @@
+AUX hidapi-0.14.0-cython3.patch 3670 BLAKE2B c474480208fe8320d08ce6be18931079de4afb78749d573ae58ec99c96fca81a490e4661ca3a42b876d8b02d0479d37244578b27f3c5c964bb7ee4dadad94958 SHA512 b109db4162092ee8179031802ecd06676b9ca09685f9e98efde6d432fe7b32863d815b759fb5d3e45ff7922a0922b3d3abdf1d08e743801a9c86b2fede2144a2
DIST hidapi-0.13.1.tar.gz 130169 BLAKE2B 127e622e4b85880f1c20ccb819b806c66357d8cfa6c15d370c13a6a0a3838ac6acf0673c7edbf5309a91f55051b6177800328b8f897ff43cd1e0af1b511c52a6 SHA512 8e6a7a6bf47e24f6f637cc036dc306518d893fc9fdf94639f626725e8f8767d7e85496d8db5f9f394d648ef5af4dd5ead0f0a6d452a019b5d9fa0716371febed
+DIST hidapi-0.14.0.tar.gz 143052 BLAKE2B ebf3fb9608b1f18d9fa24aaa4bca7b2e5cbbbbcbdb6a33da41456f614d0cace556231bb8eb17c21e2a79a5292970cb37f7a46fb6cd1e82efb0a646cf8a942d2a SHA512 228fac22621e36a3108cefd418937a7ed0153e334e19999e947aad341a753d614877cd3f7add90d78037ebe9c7b3f6cbc42973a8e680188da14928311d317b17
EBUILD hidapi-0.13.1.ebuild 656 BLAKE2B 1ad3cec5c5af62cbbbff1bf24b5fd995d314e2fe5270916c842ab9206b408b34ab07a58f51ba9d1caa38f4816ab456a1c9815aad761d72b5bd9c9c9d03263b9d SHA512 43b04bd94e715f34dbe096de5081af6703b93888c70e9380ec425699ff536f8fa38dc6221b206be69f7fa51efa437bf6d990f09ef7a829a14e101c6c4a0ea042
+EBUILD hidapi-0.14.0.ebuild 698 BLAKE2B 67518e045f446d5b0c609daf648e37f2af781018f9acd641a1eb81dac0883f7573dadbc902dd148fd9889e08dc5b951425bf867e6c57d095fb1c9142676ff83e SHA512 1acc599831727c4763ef5e8cc6aaba05c1ddd7ebb91a75c730d3efbf903b1370b1d93c9af0797385c8f02f914b73f18f62088f602dd01f01efe7addf17f135ae
MISC metadata.xml 304 BLAKE2B 69f2abf7c43eda718abb98bdee59b648ca8562d77c2d8381ee7dc83e4b7d1d0f017dce9a291a783ba3891b54df905a49da3f74916158b9b72f6b6f12674b0b53 SHA512 d06b9d8c5b35cda24fb8fc01206e610d0fc78e723833817207c9c18e4b2d02df82cac832580ccd917c68be399d7115024f0b573acd8705d89306f88790cfdbc3
diff --git a/dev-python/hidapi/files/hidapi-0.14.0-cython3.patch b/dev-python/hidapi/files/hidapi-0.14.0-cython3.patch
new file mode 100644
index 000000000000..681f9a427934
--- /dev/null
+++ b/dev-python/hidapi/files/hidapi-0.14.0-cython3.patch
@@ -0,0 +1,134 @@
+https://bugs.gentoo.org/898678
+
+1. https://github.com/trezor/cython-hidapi/commit/749da6931f57c4c30596de678125648ccfd6e1cd
+2. https://github.com/trezor/cython-hidapi/pull/159
+
+From 749da6931f57c4c30596de678125648ccfd6e1cd Mon Sep 17 00:00:00 2001
+From: Pavol Rusnak <pavol@rusnak.io>
+Date: Thu, 20 Jul 2023 13:09:19 +0200
+Subject: [PATCH] Require Cython<3 instead of Cython
+
+---
+ setup.py | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/setup.py b/setup.py
+index 7e3eb29c..4c311ba4 100755
+--- a/setup.py
++++ b/setup.py
+@@ -136,6 +136,6 @@ def find_version():
+ "Programming Language :: Python :: 3.9",
+ ],
+ ext_modules=modules,
+- setup_requires=["Cython"],
++ setup_requires=["Cython<3"],
+ install_requires=["setuptools>=19.0"],
+ )
+
+From 7dad82b125fdca5df83c00fc711151c35aaa5125 Mon Sep 17 00:00:00 2001
+From: Shawn Hoffman <godisgovernment@gmail.com>
+Date: Mon, 11 Sep 2023 17:27:52 -0700
+Subject: [PATCH 1/4] use pyxdep file to locate chid.pxd
+
+---
+ hid.pyxdep | 1 +
+ setup.py | 4 ++--
+ 2 files changed, 3 insertions(+), 2 deletions(-)
+ create mode 100644 hid.pyxdep
+
+diff --git a/hid.pyxdep b/hid.pyxdep
+new file mode 100644
+index 00000000..7480bc82
+--- /dev/null
++++ b/hid.pyxdep
+@@ -0,0 +1 @@
++chid.pxd
+diff --git a/setup.py b/setup.py
+index 4c311ba4..73066b06 100755
+--- a/setup.py
++++ b/setup.py
+@@ -9,7 +9,7 @@
+ hidapi_include = os.path.join(hidapi_topdir, "hidapi")
+ system_hidapi = 0
+ libs = []
+-src = ["hid.pyx", "chid.pxd"]
++src = ["hid.pyx"]
+
+
+ def hidapi_src(platform):
+@@ -42,7 +42,7 @@ def hidapi_src(platform):
+ )
+ )
+ libs = ["udev", "rt"]
+- src = ["hidraw.pyx", "chid.pxd"]
++ src = ["hidraw.pyx"]
+ if system_hidapi == 1:
+ libs.append("hidapi-hidraw")
+ else:
+
+From 4c78f61c7815d1005023d69c42ae777cfee021c1 Mon Sep 17 00:00:00 2001
+From: Shawn Hoffman <godisgovernment@gmail.com>
+Date: Mon, 11 Sep 2023 17:28:33 -0700
+Subject: [PATCH 2/4] specify language_level for cython
+
+---
+ setup.py | 3 ++-
+ 1 file changed, 2 insertions(+), 1 deletion(-)
+
+diff --git a/setup.py b/setup.py
+index 73066b06..6a3e0af0 100755
+--- a/setup.py
++++ b/setup.py
+@@ -1,5 +1,6 @@
+ #!/usr/bin/python
+ from setuptools import setup, Extension
++from Cython.Build import cythonize
+ import os
+ import sys
+ import subprocess
+@@ -135,7 +136,7 @@ def find_version():
+ "Programming Language :: Python :: 3.8",
+ "Programming Language :: Python :: 3.9",
+ ],
+- ext_modules=modules,
++ ext_modules=cythonize(modules, language_level=3),
+ setup_requires=["Cython<3"],
+ install_requires=["setuptools>=19.0"],
+ )
+
+From d73b4cc6706d4220d28df866504e989ab616616a Mon Sep 17 00:00:00 2001
+From: Shawn Hoffman <godisgovernment@gmail.com>
+Date: Mon, 11 Sep 2023 17:31:37 -0700
+Subject: [PATCH 3/4] use pyproject.toml allow using recent cython the
+ expectation is that one would use the `build` tool instead of invoking
+ setup.py.
+
+---
+ pyproject.toml | 3 +++
+ setup.py | 1 -
+ 3 files changed, 3 insertions(+), 2 deletions(-)
+ create mode 100644 pyproject.toml
+ delete mode 100644 requirements.txt
+
+diff --git a/pyproject.toml b/pyproject.toml
+new file mode 100644
+index 00000000..c07b1d35
+--- /dev/null
++++ b/pyproject.toml
+@@ -0,0 +1,3 @@
++[build-system]
++requires = ["setuptools", "Cython"]
++build-backend = "setuptools.build_meta"
+diff --git a/setup.py b/setup.py
+index 6a3e0af0..9dcdb0ee 100755
+--- a/setup.py
++++ b/setup.py
+@@ -137,6 +137,5 @@ def find_version():
+ "Programming Language :: Python :: 3.9",
+ ],
+ ext_modules=cythonize(modules, language_level=3),
+- setup_requires=["Cython<3"],
+ install_requires=["setuptools>=19.0"],
+ )
+
+
diff --git a/dev-python/hidapi/hidapi-0.14.0.ebuild b/dev-python/hidapi/hidapi-0.14.0.ebuild
new file mode 100644
index 000000000000..890f3675ed06
--- /dev/null
+++ b/dev-python/hidapi/hidapi-0.14.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+PYTHON_COMPAT=( python3_{10..12} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Cython interface to HIDAPI library"
+HOMEPAGE="https://github.com/trezor/cython-hidapi"
+
+LICENSE="|| ( BSD GPL-3 )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+DEPEND=">=dev-libs/hidapi-$(ver_cut 1-3)"
+RDEPEND="${DEPEND}"
+BDEPEND="dev-python/cython[${PYTHON_USEDEP}]"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.14.0-cython3.patch
+)
+
+distutils_enable_tests pytest
+
+python_configure_all() {
+ DISTUTILS_ARGS=( --with-system-hidapi )
+}
+
+python_test() {
+ epytest tests.py
+}
diff --git a/dev-python/openapi-spec-validator/Manifest b/dev-python/openapi-spec-validator/Manifest
index fede7d61df3f..cd838f56cb40 100644
--- a/dev-python/openapi-spec-validator/Manifest
+++ b/dev-python/openapi-spec-validator/Manifest
@@ -1,5 +1,7 @@
DIST openapi_spec_validator-0.5.7.tar.gz 33722 BLAKE2B 71096a996d335b60d6646d96390e580952a1e27829aa807c4b333ee11a7925bc1bc10f4440c79fc6d4a8321dfd3bab9ec86bf79bef6c7139835b7f8035cbc061 SHA512 63dafc0bc459d8ad097d0a98a3d23e67ae37c0004ce6d53ad999b037f2a6743c95e13ae22920403368c37f8877665c104ac20e1f58532cffd8df54c800a6cf7d
DIST openapi_spec_validator-0.6.0.tar.gz 33646 BLAKE2B cf8d397602b147872e86c0f236731ec477e20775aa63a61162e66deb7d4b81ef91bd86b67d2dfddf5d6b160c37b7eab4ddb1d10975ada8dc13aebdc088e4483a SHA512 71434f131f34902210237940d75f07f250b296c3e1814e03f0eaae436321ca11ac63d0014c85ad571852e66b2e11545c9d0cf21d771c0c67210a60c1f9094cc2
+DIST openapi_spec_validator-0.7.0.tar.gz 36700 BLAKE2B aadaa34259900af7e2eb120ac7ccd6ea50d29ddd2c49edbd11c1c95f611dfc68edd580f4c5044a1c91ede2c421f2ef0b8e35dca89c5b997b6fc6211c68126b09 SHA512 a9e2b254d6855cfb4127eac44a0589e674748b2be6c68dd30e24144271096e82b336913b06e00407a88e6f3d3fdd0079a0c9489755dc68110d92d2b686f695ac
EBUILD openapi-spec-validator-0.5.7.ebuild 1744 BLAKE2B 37a91c53390ca5d2504ba3476efb7b7bb7a7e43c122e72c55e0f8c9d763855a72698fcc55bc526a34814100598a360d3b0b5c11cef8da3750e829fe19001a515 SHA512 0c66c02af3ac3c2a3332b13ca7058c11e806836d8ab25c54e90338e006597e4b4b4c55fd6a650a17a4f2adbcb8119c5464a2052d3868695c772478bf78a4c4f6
EBUILD openapi-spec-validator-0.6.0.ebuild 1643 BLAKE2B 58751a93af44d74db102d808c0c3777f7067d66bc0f1fba0da4d45ad4e22d535436e11537ebff1dbb09764dd0648b6a3a733276ed0790a512d32e5af6d71f5dd SHA512 419ea5af776537546205cea302ed4dc9af5a2c6ec8d9edc323830fcbf307c73fa831ac6407dac1714d0929bdf229cdaa888efbbd9505aac8d7c5895642f6f43b
+EBUILD openapi-spec-validator-0.7.0.ebuild 1643 BLAKE2B 58751a93af44d74db102d808c0c3777f7067d66bc0f1fba0da4d45ad4e22d535436e11537ebff1dbb09764dd0648b6a3a733276ed0790a512d32e5af6d71f5dd SHA512 419ea5af776537546205cea302ed4dc9af5a2c6ec8d9edc323830fcbf307c73fa831ac6407dac1714d0929bdf229cdaa888efbbd9505aac8d7c5895642f6f43b
MISC metadata.xml 405 BLAKE2B 82dfdb0a9a068a90ad245a33da95883f863571b12e3d354cee5b7e10b9c098f3635b25fc1871db3b384c5218c2305c90e9f185c97619ba142735b03de90bde01 SHA512 a3f926750e11ce7b8960fa7adef139a329b7dac777c78acfc2cf24225862d8f04a2bb8edba36f99aabd1ea44f93220afefafe060dce6418fa03f360c129a344c
diff --git a/dev-python/openapi-spec-validator/openapi-spec-validator-0.7.0.ebuild b/dev-python/openapi-spec-validator/openapi-spec-validator-0.7.0.ebuild
new file mode 100644
index 000000000000..6467dae04d40
--- /dev/null
+++ b/dev-python/openapi-spec-validator/openapi-spec-validator-0.7.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( pypy3 python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="OpenAPI 2.0 (aka Swagger) and OpenAPI 3.0 spec validator"
+HOMEPAGE="
+ https://github.com/python-openapi/openapi-spec-validator/
+ https://pypi.org/project/openapi-spec-validator/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/jsonschema-4.18.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-spec-0.2.3[${PYTHON_USEDEP}]
+ >=dev-python/lazy-object-proxy-1.7.1[${PYTHON_USEDEP}]
+ >=dev-python/openapi-schema-validator-0.6.0[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Internet
+ tests/integration/test_shortcuts.py::TestPetstoreV2Example
+ tests/integration/test_shortcuts.py::TestApiV2WithExampe
+ tests/integration/test_shortcuts.py::TestPetstoreV2ExpandedExample
+ tests/integration/test_shortcuts.py::TestPetstoreExample
+ tests/integration/test_shortcuts.py::TestRemoteValidatev2SpecUrl
+ tests/integration/test_shortcuts.py::TestRemoteValidatev30SpecUrl
+ tests/integration/test_shortcuts.py::TestApiWithExample
+ tests/integration/test_shortcuts.py::TestPetstoreExpandedExample
+ tests/integration/test_validate.py::TestPetstoreExample
+ tests/integration/test_validate.py::TestApiWithExample
+ tests/integration/test_validate.py::TestPetstoreExpandedExample
+ tests/integration/validation/test_validators.py
+)
+
+src_prepare() {
+ sed -i -e '/--cov/d' pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/process-tests/Manifest b/dev-python/process-tests/Manifest
index 674f1bf4025c..ae05931e801b 100644
--- a/dev-python/process-tests/Manifest
+++ b/dev-python/process-tests/Manifest
@@ -1,3 +1,3 @@
DIST process-tests-2.1.2.tar.gz 11554 BLAKE2B bf4716f32b8d5e6cd8d5f8eef1156c09545fe22e48134fa0f98c47172141f0365f1995c2dad94c4e3a6f5a151883f92048bcd943fa07faeb7eff9c60f18555df SHA512 56a76d8467312de34413994e663eb63378ff179720b883037735eae9d8f23a5cc0ea32d4a9a2f9041af417b5ada07b7948fd481e3d5b2cb43db3c19183f6b263
-EBUILD process-tests-2.1.2-r1.ebuild 653 BLAKE2B b74df1637e9e74323024bed33fc2bc5f1228605d6e9d64bccaff570b438dc656a5b9648062ba49bf79e4c67d6b3dbee45e04d6d69c299259c2de993f8ff4c528 SHA512 78d0072233d8a4637e9118ab3f96f85b29f194fb622db8ebad9c7a93756f595851070d951f0ceb80116307942e49445ab0ef6338c239909749fcf0bf81a65852
+EBUILD process-tests-2.1.2-r1.ebuild 654 BLAKE2B 9515fc77a9e7decf2150d07432016309c797f0d22dbde0a370b12572b53c8e877f9a8d488777af3d7b464189feb6ef238a6b0ecec6824d7b660a8ac9bc41c01c SHA512 8adc7ecd1c99210fe27928945e7c3dab49bcb67eaceb25a6bedd7dee85ff4262734ed9d29d9b07b53f57cef36cee947ff90accf9fdb1727a60849a20067e3d6a
MISC metadata.xml 409 BLAKE2B 7a2bae7ebc779208f6e0eee56ee22501bda63f16cf87e692db98bab91570cf7c34dde7f1a41212b15e4cf88e41882dd1208a8b95de4af8989f012564bcf7f6e5 SHA512 71b33097b25a8ab5b37c52ac641a4a14cb667f82601a0eac53e5e1758c9a45d7132ce280533be4b833ae34756de2992c11c0671f75ffc45e095055e704b84852
diff --git a/dev-python/process-tests/process-tests-2.1.2-r1.ebuild b/dev-python/process-tests/process-tests-2.1.2-r1.ebuild
index 6bee6fcb6243..d915295d97f1 100644
--- a/dev-python/process-tests/process-tests-2.1.2-r1.ebuild
+++ b/dev-python/process-tests/process-tests-2.1.2-r1.ebuild
@@ -5,7 +5,7 @@ EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYPI_NO_NORMALIZE=1
-PYTHON_COMPAT=( python3_{9..11} pypy3 )
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
inherit distutils-r1 pypi
diff --git a/dev-python/pytest-cov/Manifest b/dev-python/pytest-cov/Manifest
index c2836889fbd4..7f1ca3f0d011 100644
--- a/dev-python/pytest-cov/Manifest
+++ b/dev-python/pytest-cov/Manifest
@@ -1,4 +1,4 @@
AUX pytest-cov-4.0.0-pytest-xdist-2.5.0.patch 750 BLAKE2B 018b270c47f1c19c19f9d72da935457a6042bcafa580d85f904d082fda9980d9a34579174b7b08551d6cedfbc6a6c7abd7be0216df0e21be64e49efe9d3dd1f5 SHA512 e8826ae013c7fb4cbe57975821faea9a8cfd2573befb4f961560e650cbced56e2dff3e02cde23e29e0bb5d06ce0d5893dc408c9e244ce014a5766c5a565f8efa
DIST pytest-cov-4.1.0.tar.gz 63245 BLAKE2B ed69b96f2117fb924c47b5d80c4e01ec2ab27162ee31a91943e72927a919fe194a8a67ee86eb6bae68ac5a34288c91c57edd8a4800dbffca83f7da4006792d04 SHA512 1280e338ad236ae6757e4538a641fef740bee6c85c5af1f649ba4f28fd99f84ff1048ae40b8633d1751ea248788c1efd401aa078b3aa5929a9249514e5722fc1
-EBUILD pytest-cov-4.1.0.ebuild 2046 BLAKE2B 94ece33a359a4020535081d110280ca61ede2c747502d30d4a46bdac529affead2d6011e85309bf93ea86475a40d2f2739cd2bb4537592599678de9cac0e98bf SHA512 9b0d3df5745366f76335360315b9327c8a37e404d5761ba38a1654f358072bc2542a0ced83cd9a35ab724e431673233b35fb6f86eabac3100e03a2dd1c862554
+EBUILD pytest-cov-4.1.0.ebuild 1670 BLAKE2B 195eeba72365cf588d56d47590ca96fc47dffff0b8d1326e69df03b9894f73795b4c2a38080933ed0cd755e78bf68124797de28913b039ad16060193fd4e3060 SHA512 c3a33c626387e0f8d693a10628647ed275588ebf27070806453c6dbc31cc6f57ac54c69398613201141cd8438268bffba917223bfe0f53441d9ceba63b3e459b
MISC metadata.xml 412 BLAKE2B 0d79131c6fd8adf72493a7c333959e065cf4f2231f6c770800b6d05ff9afcc246cd202406bea6e28f6b0fd23ee6197aa8dac2dd59d0a89d9b07741f57e8fa5e8 SHA512 d1aab9ea8042bf810398a4195fd3595a8abbeb060ab38fd7b7e40085c8d5f22ecb78bab02e2331d4588199d88e0d3848413d75a18fe4373ecd9940a3c990c604
diff --git a/dev-python/pytest-cov/pytest-cov-4.1.0.ebuild b/dev-python/pytest-cov/pytest-cov-4.1.0.ebuild
index 22dcfe4fdd43..e3c664021481 100644
--- a/dev-python/pytest-cov/pytest-cov-4.1.0.ebuild
+++ b/dev-python/pytest-cov/pytest-cov-4.1.0.ebuild
@@ -5,9 +5,9 @@ EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYPI_NO_NORMALIZE=1
-PYTHON_COMPAT=( python3_{10..11} pypy3 )
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
-inherit distutils-r1 pypi
+inherit distutils-r1 multiprocessing pypi
DESCRIPTION="pytest plugin for coverage reporting"
HOMEPAGE="
@@ -46,26 +46,15 @@ python_test() {
local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
local -x PYTEST_PLUGINS=pytest_cov.plugin,xdist.plugin,xdist.looponfail
- local EPYTEST_DESELECT=(
- # attempts to install packages via pip (network)
- tests/test_pytest_cov.py::test_dist_missing_data
- # TODO
- tests/test_pytest_cov.py::test_contexts
- tests/test_pytest_cov.py::test_cleanup_on_sigterm
- tests/test_pytest_cov.py::test_cleanup_on_sigterm_sig_dfl
- tests/test_pytest_cov.py::test_cleanup_on_sigterm_sig_dfl_sigint
- tests/test_pytest_cov.py::test_cleanup_on_sigterm_sig_ign
- )
-
local src=$(
"${EPYTHON}" -c "import coverage as m; print(*m.__path__)" || die
)
# TODO: why do we need to do that?!
# https://github.com/pytest-dev/pytest-cov/issues/517
- ln -s "${src}/coverage" \
+ ln -s "${src}" \
"${BUILD_DIR}/install$(python_get_sitedir)/coverage" || die
- nonfatal epytest
+ nonfatal epytest -n "$(makeopts_jobs)" --dist=worksteal
local ret=${?}
rm "${BUILD_DIR}/install$(python_get_sitedir)/coverage" || die
diff --git a/dev-python/pytest-timeout/Manifest b/dev-python/pytest-timeout/Manifest
index ff66dd6758f3..04289c9a14ab 100644
--- a/dev-python/pytest-timeout/Manifest
+++ b/dev-python/pytest-timeout/Manifest
@@ -1,5 +1,5 @@
DIST pytest-timeout-2.1.0.tar.gz 18386 BLAKE2B 1c84b67e8d07056f9c5b188e467832d4aa292ce1047da6cb13b2939962d2599853db134b16ff3a1a953cbdc1c1772be961eadc9925b32f8dbe514938ede90d40 SHA512 5750e5183669ed9b83fbb76bd7fc9fc1f5f6eef3d9b675dc44f6c7edfd2c6d15739d71e845ededaa192c93da73026ac3376a3295be9f7d3f3eac325660ce7bf3
DIST pytest-timeout-2.2.0.tar.gz 16391 BLAKE2B 550b803ed4a64ab0fead7f6e61297ea6bfc6e59988998c5383fdccdebb3664fe9f6651314bb1a439f6431e844bb770feb50bedcabd568e4dfea7526d8c328dd7 SHA512 11a0c4e958b324bff3e149bf2a7dc5bf6ab6549405d5061856f8f1ad0e43df1cddce83df4c804b717276bfbcfcf60ee6b400625d0f4e4e73c98785146c22164f
EBUILD pytest-timeout-2.1.0.ebuild 794 BLAKE2B 5191792a1dd44fd7e74dd0a1424ef2539321caa21bfea60bf74a421286e742e75c4e5028fa06c630ad8ef049156aa1135f97bad056d8ea6ba608a02f6ff00363 SHA512 8873202b09704d0bebd197ee3cac5213c59ce70ab430cc94b7f2dfbd31b1a30464204ac34dd6731ae0ccca582a5bdb307a91dfee0bd5d2cba3e22d7a4f104448
-EBUILD pytest-timeout-2.2.0.ebuild 1019 BLAKE2B 82654483fad3d2e9c5fb0a9dc855866f269a5564a5a7f36c7489aaaff324c24bae203a90b7ed531be5ac344b64c91f4de0740991b5bf53a9a0aa893a5dc5b96d SHA512 3a4d9c6807d4d99dcc650c63f88164cf5a73b84c31eaac2f757929548afa4c26c22bc0125224e09a5d4bbbd82b87f5df25f61597f5c6993cd9882fae88d76dd1
+EBUILD pytest-timeout-2.2.0.ebuild 1100 BLAKE2B 29721b1b4409a7b40e6e8f941ef0e900ca14611eb8f6a92bccd7dadbdcf4f81200a8936e123143149b51b8b678ecddab26f944158d428c9fbf34fb7d7523a6da SHA512 2d7efb98d5337a5f81cbcd63b149eec98f0215e1ceb72d276c0024d34923d8fc9fc55888f1cfc2326183aaa9585852ee0fdcf7a185161f869cb86063a89d1622
MISC metadata.xml 420 BLAKE2B ff56de441243acbf2c7332acf224c8f64427378a8cd5f56c040eca1bcaae467459d8ae09409a963d0053a95035a4e7cfcda067d5be78bcd24ba222b2ce56d6f4 SHA512 c6b4ebdd5bd59452d0952e50526ca9b7cb5b88b12d989947a4775d60cdc9315d594ca7c37cb17c0cd4b2708d08db625f678fd577ac9031e0b0e6dbb364a6ad3a
diff --git a/dev-python/pytest-timeout/pytest-timeout-2.2.0.ebuild b/dev-python/pytest-timeout/pytest-timeout-2.2.0.ebuild
index 0201b80b5b46..7c49baaa6924 100644
--- a/dev-python/pytest-timeout/pytest-timeout-2.2.0.ebuild
+++ b/dev-python/pytest-timeout/pytest-timeout-2.2.0.ebuild
@@ -7,7 +7,7 @@ DISTUTILS_USE_PEP517=setuptools
PYPI_NO_NORMALIZE=1
PYTHON_COMPAT=( python3_{10..12} pypy3 )
-inherit distutils-r1 pypi
+inherit distutils-r1 multiprocessing pypi
DESCRIPTION="pytest plugin to abort hanging tests"
HOMEPAGE="
@@ -24,18 +24,21 @@ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~
BDEPEND="
test? (
dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
!hppa? (
- $(python_gen_cond_dep '
- dev-python/pytest-cov[${PYTHON_USEDEP}]
- ' python3_{10..11} pypy3)
+ dev-python/pytest-cov[${PYTHON_USEDEP}]
)
)
"
distutils_enable_tests pytest
-EPYTEST_DESELECT=(
- # TODO
- test_pytest_timeout.py::test_suppresses_timeout_when_debugger_is_entered
- test_pytest_timeout.py::test_disable_debugger_detection_flag
-)
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ test_pytest_timeout.py::test_suppresses_timeout_when_debugger_is_entered
+ test_pytest_timeout.py::test_disable_debugger_detection_flag
+ )
+
+ epytest -n "$(makeopts_jobs)" --dist=worksteal
+}
diff --git a/dev-python/python-lsp-server/Manifest b/dev-python/python-lsp-server/Manifest
index 7e96f42e0f47..fde92dcb5d00 100644
--- a/dev-python/python-lsp-server/Manifest
+++ b/dev-python/python-lsp-server/Manifest
@@ -1,7 +1,9 @@
DIST python-lsp-server-1.7.4.tar.gz 97864 BLAKE2B 9832298391d72bf2f035f388694a7879d66546ead5a36837220cb3af5d8181eba198c04dd82747cba75f0478d256b001476c24b02bc679fc07cb41c7aedb0e66 SHA512 7aa96de6e51548e2854b55690698fe6c7bda60103c11ad5982df611c65569cec1ab13691727c92ec47d9ac44c34f233f872211a41041ea0969223e10e87d7e08
DIST python-lsp-server-1.8.0.tar.gz 105548 BLAKE2B aa7f714bbc7e88d68224f9a51c3c811168ade36afce02fcdf95d3ffef55f7efc964aea6fb3c26bc88c3439744928f70914c136987c89a8bd146a2f54df579ead SHA512 b8050037e313261b653f0df170762126886ceef780d7ca35651c79967270d78d9930e464ccecc71a40ceee10b0265fd262d200e1e38c50ce04490ab364bc8389
DIST python-lsp-server-1.8.1.tar.gz 106979 BLAKE2B 3d71de40b4fff5a0e50d1e16fb1aab330c90ddc68d255f212c8ec9a1c2cc5afcbafaa9d288f938d22b824852f6ca231d48f031df3dcc7e9d97699767b3548788 SHA512 f26e836013df9ddee05f17e7629bf7abfab96aae6fc4eba9d565203b324f6e3ac3e02cbcc1bd1b9ad8a4e0628d58476797bd55564e0307a53946df7a934df11b
+DIST python-lsp-server-1.8.2.tar.gz 107104 BLAKE2B 8a525e25f94c97cef23e6e9fad4ef9d7e5e0afaf1efdac9f5b98c84bc634ffaed2c19ebed80113a771a30b777285db166996ae25a3d34963e75909e183e082dc SHA512 4cfed043c69a6a390b27299d1e8e53c9ad0184e72b98503e4b3314b7104841a4f3667988e62dcaa88c54b166a1f8549e5b56a70fa69a33068bda5dc49299d642
EBUILD python-lsp-server-1.7.4.ebuild 2926 BLAKE2B 3f7e5f4f6225f660e373754725b7a26f49a8f7e31b5726fed0e80178c11f67a52ef7f57eb0b6247c6813f0aff56ba6369e4a6c9e38d37aea1a26e3d5bfb61622 SHA512 30973ec2c9f0f0788000159ff40ab2152f1dcb37b3af9f02911ac0d4336fcf0542f6b86ffe82d9f057d63ba130f67f3b34ddada07259dd833f4b4a78d4fc0bd8
EBUILD python-lsp-server-1.8.0-r1.ebuild 3057 BLAKE2B 9ffa856cdae89cbd7edd322779bd36526351b4f4effe5fbe627d26e8ba031b7e76e59ac5186128d4c76ce364ec4bfeda551c48b7588ae92799dfb0dbd50a4e11 SHA512 add354d00079b5cd1dbca1e5119eec3679fae8df56bbbf1b9f40becf941e868cb2c2f29cd889fed8e0c5e343bb726fd583b994c644ae1ed670aa72eddfd91cbb
EBUILD python-lsp-server-1.8.1.ebuild 3057 BLAKE2B ee4e0df9aecf8e8f4447c2092e6f742c1a7b34d6f33935f409658ee23e53256e675db444ad2ee1033c7c7d96836ded62088c58892c7d105777b97bc0a9858fd3 SHA512 b1a766df62b9ae219b55eb0e0f2578ca07daca9e0dec438686d7a2518a198e705de9a0202550efbd8ae63c7d6a6846927386bd46065ccb43cbe21c68163f22a6
+EBUILD python-lsp-server-1.8.2.ebuild 3057 BLAKE2B ee4e0df9aecf8e8f4447c2092e6f742c1a7b34d6f33935f409658ee23e53256e675db444ad2ee1033c7c7d96836ded62088c58892c7d105777b97bc0a9858fd3 SHA512 b1a766df62b9ae219b55eb0e0f2578ca07daca9e0dec438686d7a2518a198e705de9a0202550efbd8ae63c7d6a6846927386bd46065ccb43cbe21c68163f22a6
MISC metadata.xml 610 BLAKE2B e111007adc2612409df72955babe0c4725fd5726449435988cf13c1142049d78089d38e54783712e2c70c74437157ffb2049bd9d63322cec084204eb5038e724 SHA512 5e1e4b43a5bfacb6a2fcae57413ebf79c6aed917b00022140d855acd773d82e56b2d73ae8270d42675a34d9f37f9ad53c8f61930c3f447d8a9e45a521a20e9bb
diff --git a/dev-python/python-lsp-server/python-lsp-server-1.8.2.ebuild b/dev-python/python-lsp-server/python-lsp-server-1.8.2.ebuild
new file mode 100644
index 000000000000..f94cd79aa7da
--- /dev/null
+++ b/dev-python/python-lsp-server/python-lsp-server-1.8.2.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 optfeature pypi
+
+DESCRIPTION="Python Language Server for the Language Server Protocol"
+HOMEPAGE="
+ https://github.com/python-lsp/python-lsp-server/
+ https://pypi.org/project/python-lsp-server/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+IUSE="all-plugins"
+
+RDEPEND="
+ dev-python/docstring-to-markdown[${PYTHON_USEDEP}]
+ >=dev-python/jedi-0.17.2[${PYTHON_USEDEP}]
+ >=dev-python/python-lsp-jsonrpc-1.1.0[${PYTHON_USEDEP}]
+ dev-python/pluggy[${PYTHON_USEDEP}]
+ all-plugins? (
+ >=dev-python/autopep8-2.0.4[${PYTHON_USEDEP}]
+ >=dev-python/flake8-5.0.0[${PYTHON_USEDEP}]
+ >=dev-python/mccabe-0.7.0[${PYTHON_USEDEP}]
+ >=dev-python/pycodestyle-2.9.0[${PYTHON_USEDEP}]
+ >=dev-python/pydocstyle-6.3.0[${PYTHON_USEDEP}]
+ <dev-python/pydocstyle-6.4.0[${PYTHON_USEDEP}]
+ >=dev-python/pyflakes-2.5.0[${PYTHON_USEDEP}]
+ >=dev-python/pylint-2.5.0[${PYTHON_USEDEP}]
+ >=dev-python/rope-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/yapf-0.33.0[${PYTHON_USEDEP}]
+ >=dev-python/whatthepatch-1.0.2[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ test? (
+ >=dev-python/autopep8-1.6.0[${PYTHON_USEDEP}]
+ dev-python/flaky[${PYTHON_USEDEP}]
+ >=dev-python/flake8-5.0.0[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ >=dev-python/mccabe-0.7.0[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ >=dev-python/pycodestyle-2.9.0[${PYTHON_USEDEP}]
+ >=dev-python/pydocstyle-6.3.0[${PYTHON_USEDEP}]
+ <dev-python/pydocstyle-6.4.0[${PYTHON_USEDEP}]
+ >=dev-python/pyflakes-2.5.0[${PYTHON_USEDEP}]
+ >=dev-python/pylint-2.5.0[${PYTHON_USEDEP}]
+ dev-python/QtPy[gui,testlib,${PYTHON_USEDEP}]
+ >=dev-python/rope-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/yapf-0.33.0[${PYTHON_USEDEP}]
+ >=dev-python/whatthepatch-1.0.2[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # remove pytest-cov dep
+ sed -i -e '/addopts =/d' pyproject.toml || die
+ # unpin all the deps
+ sed -i -e 's:,<[0-9.]*::' pyproject.toml || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # broken by presence of pathlib2
+ 'test/plugins/test_autoimport.py'
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
+
+pkg_postinst() {
+ optfeature "Automatically format Python code to conform to the PEP 8 style guide" dev-python/autopep8
+ optfeature "A wrapper around PyFlakes, pep8 & mccabe" dev-python/flake8
+ optfeature "flake8 plugin: McCabe complexity checker" dev-python/mccabe
+ optfeature "Python style guide checker (fka pep8)" dev-python/pycodestyle
+ optfeature "Python docstring style checker" dev-python/pydocstyle
+ optfeature "Passive checker for Python programs" dev-python/pyflakes
+ optfeature "Python code static checker" dev-python/pylint
+ optfeature "Python refactoring library" dev-python/rope
+ optfeature "A formatter for Python files" dev-python/yapf
+}
diff --git a/dev-python/selenium/Manifest b/dev-python/selenium/Manifest
index 439beaf19953..f0657ef900d1 100644
--- a/dev-python/selenium/Manifest
+++ b/dev-python/selenium/Manifest
@@ -1,4 +1,7 @@
DIST selenium-4.13.0.tar.gz 9266949 BLAKE2B fbf6bf204b47648d67f3205729db232097a92bc3fbb491bb98308e1171d4a7b090f57f5153f07a642a5e6f476c12758496021fc2a7fc02ea7d525d9e4bef5fb7 SHA512 9f1531a5693d1f67a7fcafd0623bfaf85876fa0bf6292679a04d5b3976b1e8a46ea2718ae61b8f2da68005d7b6e11cda6eb9390b0094756a26fadec839e3efe8
+DIST selenium-4.14.0.tar.gz 9710348 BLAKE2B 038660990ce32c725b7c166031a7e78be5df2f9b1d0abe133e73566a9b9060c189310269fcf5db1330c2a2b1ed2901d8453b7134094528c73ca9dff899258914 SHA512 b41d81eeecdce428bfadfa3dc8c190512eb4243f710730519a3868987fa5f21db4a0fd7666b0dc9f40e56fbcf046f79a799ed32a31b7ab7e3c440d7f990a00bd
DIST selenium-selenium-4.13.0.gh.tar.gz 78263115 BLAKE2B 8f06ee9e6a8ac8a63c3f016d3e310ba22ac0bd5566f06f6d6f71f269084bafa00f0627aaf1103f2f28a8785e81ace1652b64a271a23fdc74a56c0bf118ccd2ca SHA512 7156b28326492efa189ec4d5e53e131f4e8fb3aea97ce6632b0a9a81e04e238645b4994e348fa6e3f689e5472f569dfe95fdb11a6bd8456381b85d41fb0ede61
+DIST selenium-selenium-4.14.0.gh.tar.gz 78721372 BLAKE2B f57f5ed30f4439a83308909f5233187f924476de455d9b6504255e56a3217844d206968a96963c0f824c1a7dc5e69a196dde50a0cfb291820e6690be67a87c5e SHA512 b3b3f375ef0589cdc2afb454b50678ebe881d08cea841c697c9a5a4d745fc8ac84f941d2f5bbea9082c6e0c7052b7c5f08207947bb4389b0322c257dc81dcc89
EBUILD selenium-4.13.0.ebuild 1643 BLAKE2B 3ad427608e632d89fd5b46aa85d9470edf1b457f080b7e888f1bb54de8d8454e72df66a897395deed535e35fea8cb190ed573b728d620f39728b4375429eb47e SHA512 d04a28784b44d9a647651ed7b225dddbefb77e9d6e82cd922ce9973c7a421f8925d796a493a26571faf8aaf7e9204d619889bf72f48e906482c199e7fd215661
+EBUILD selenium-4.14.0.ebuild 1650 BLAKE2B abe341fd993b3c20a7fd33dd6c531458080e2790f039aa73442e18bfaba1727df4560593df3c004a07ac13ae48a0c5a7d015fb5719f112a45cc2e5708048602c SHA512 feaeee5ffdbcc465b6330295aee69bc9d401483bfc6103eb6d0912c583501559785bb9ceb0f608c8d951a0cc121205e62c73e33e3b10dbf527aca2e721d26321
MISC metadata.xml 383 BLAKE2B d437d1631cefdba12fe2c3ce38ddff34bf9dd2bbc777d5d3425556bda76865711c991c9e3a735130a1d55cb7c6578b083ecb473c28706a2d45563b31bdbe6d1b SHA512 c087323da996b9ad4d0bf8f00306cf044d5daab194b60af029cb1ce06bf60c660fd5959b7914e6f1103143c3e4533d293a6d3bd0ec1c95163eba09d8a19c13a1
diff --git a/dev-python/selenium/selenium-4.14.0.ebuild b/dev-python/selenium/selenium-4.14.0.ebuild
new file mode 100644
index 000000000000..2f638fc8415a
--- /dev/null
+++ b/dev-python/selenium/selenium-4.14.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+# upstream sometimes tags it as ${P}, sometimes as ${P}-python, sigh
+TEST_TAG=${P}
+TEST_P=selenium-${TEST_TAG}
+
+DESCRIPTION="Python language binding for Selenium Remote Control"
+HOMEPAGE="
+ https://www.seleniumhq.org/
+ https://github.com/SeleniumHQ/selenium/tree/trunk/py/
+ https://pypi.org/project/selenium/
+"
+SRC_URI+="
+ test? (
+ https://github.com/SeleniumHQ/selenium/archive/${TEST_TAG}.tar.gz
+ -> ${TEST_P}.gh.tar.gz
+ )
+"
+
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+RDEPEND="
+ >=dev-python/certifi-2021.10.8[${PYTHON_USEDEP}]
+ <dev-python/trio-1[${PYTHON_USEDEP}]
+ >=dev-python/trio-0.17[${PYTHON_USEDEP}]
+ <dev-python/trio-websocket-1[${PYTHON_USEDEP}]
+ >=dev-python/trio-websocket-0.9[${PYTHON_USEDEP}]
+ <dev-python/urllib3-3[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.26[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO: we may need extra setup or deps
+ test/selenium
+
+ # expects vanilla certifi
+ test/unit/selenium/webdriver/remote/remote_connection_tests.py::test_get_connection_manager_for_certs_and_timeout
+ )
+
+ cd "${WORKDIR}/${TEST_P}/py" || die
+ rm -rf selenium || die
+ # https://github.com/SeleniumHQ/selenium/blob/selenium-4.8.2-python/py/test/runner/run_pytest.py#L20-L24
+ # seriously?
+ epytest -o "python_files=*_tests.py test_*.py"
+}
diff --git a/dev-python/shapely/Manifest b/dev-python/shapely/Manifest
index 81b8c02364f6..561b7f492d94 100644
--- a/dev-python/shapely/Manifest
+++ b/dev-python/shapely/Manifest
@@ -1,3 +1,5 @@
+AUX shapely-2.0.1-cython3.patch 894 BLAKE2B d6bdb6a31b5d574ac1fd08066a053792eeea4cac38155ced2b6f9596aec65ade7f6453ce2197eee797540582c523adc1a2a25723019518508939f9679054ec4e SHA512 dceb1f6e046fc291e0e6423fd494fc6033c0b1f39dd92db8f27b5773a3389e71c6aaecdb837ac73e57a9b85ce3d30f58050e338e497d6baaa7bc017ff846b84a
DIST shapely-2.0.1.gh.tar.gz 325843 BLAKE2B f6ae72c8544c236f6761be5bbc358161232319377a76d297eda317e61b97185ae62126b27963cb83798593ec2ce3f29d99bd74113e356b69b54da7586927d43b SHA512 878a4857f5408e2f779566f4885b3336eecd2ecfd685e9be3e306af2720ca4da3f7a1159ae65ad1eba441e0f9b347176d6c144563a9562ed8213e6f964d183c7
+EBUILD shapely-2.0.1-r1.ebuild 1157 BLAKE2B a0a40f4bbee053c96b18c2f0a6784fbbb501582a2ef46910fae2bae253f939aa764f1d3a0039322b08a07a321a4c5f1e29a69c200d7671c177fe8230d70072b3 SHA512 a1f81501c79e722121d24fcc16988e974a09fcec8574de377af69f68b130ca5103fc5a5913b532e5dd97e53d0a08d89b2e4a0f261b2fc86a5f5a439fb92112f6
EBUILD shapely-2.0.1.ebuild 923 BLAKE2B 38be0cd4a8549a91e50671a4a9e3a8c3a2c97d3ef2eab89cf790b79b1c8f32b3d016d66c9f9a7947ce55968228f5143777ce188e8f4a46b7e9fc9515d5b1e6f6 SHA512 c6249cd47a7c06f9841f69c0edfed2cb30cb78c8731f58c92a89cf9e0b98a73f98097a46dad6dfe5d3a25ae1a4673625e9a8511edeb933bcf8df020672f2cf10
MISC metadata.xml 1000 BLAKE2B 9be4c31c417a5660338f479aee97ec224a420cbd1ebd665ff4269a9920e16a5d78b494790bd1450ceb8be0d1228666cb5f7559b76abc669b8a15e61fb683a38a SHA512 044961ebb0caebfdacfd130fa5ed132b3ce59d0f3343c76d394e2e1cd5544bc23d3013e5b206597960f514da0203d59759a115daeab1291b6ce40ca5bdce6c8a
diff --git a/dev-python/shapely/files/shapely-2.0.1-cython3.patch b/dev-python/shapely/files/shapely-2.0.1-cython3.patch
new file mode 100644
index 000000000000..23fb0384e3f4
--- /dev/null
+++ b/dev-python/shapely/files/shapely-2.0.1-cython3.patch
@@ -0,0 +1,30 @@
+https://bugs.gentoo.org/898708
+https://github.com/shapely/shapely/pull/1872
+https://github.com/shapely/shapely/commit/fea6d0351a4422b1f9fefb508db7924981c18e43
+
+From fea6d0351a4422b1f9fefb508db7924981c18e43 Mon Sep 17 00:00:00 2001
+From: Joris Van den Bossche <jorisvandenbossche@gmail.com>
+Date: Sun, 8 Oct 2023 11:12:28 +0200
+Subject: [PATCH] Fix for cython 3 compatibility (#1872)
+
+--- a/pyproject.toml
++++ b/pyproject.toml
+@@ -1,6 +1,6 @@
+ [build-system]
+ requires = [
+- "Cython~=0.29",
++ "Cython",
+ "oldest-supported-numpy",
+ "setuptools>=61.0.0",
+ ]
+--- a/shapely/_geos.pyx
++++ b/shapely/_geos.pyx
+@@ -8,7 +8,7 @@ import warnings
+ from shapely import GEOSException
+
+
+-cdef void geos_message_handler(const char* message, void* userdata):
++cdef void geos_message_handler(const char* message, void* userdata) noexcept:
+ snprintf(<char *>userdata, 1024, "%s", message)
+
+
diff --git a/dev-python/shapely/shapely-2.0.1-r1.ebuild b/dev-python/shapely/shapely-2.0.1-r1.ebuild
new file mode 100644
index 000000000000..26da953c9be3
--- /dev/null
+++ b/dev-python/shapely/shapely-2.0.1-r1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+MY_P=${P/_p/.post}
+DESCRIPTION="Geometric objects, predicates, and operations"
+HOMEPAGE="
+ https://pypi.org/project/shapely/
+ https://github.com/shapely/shapely/
+"
+SRC_URI="
+ https://github.com/shapely/shapely/archive/${PV/_p/.post}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+DEPEND="
+ >=sci-libs/geos-3.9
+"
+RDEPEND="
+ ${DEPEND}
+ dev-python/numpy[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${DEPEND}
+ >=dev-python/cython-0.29.32[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.0.1-cython3.patch
+)
+
+EPYTEST_DESELECT=(
+ # Should be able to drop these in next release (>2.0.1)
+ # https://github.com/shapely/shapely/issues/1670
+ # https://github.com/shapely/shapely/issues/1855
+ tests/test_parallel_offset.py::OperationsTestCase::test_parallel_offset_linestring
+)
+
+distutils_enable_tests pytest
+
+python_compile_all() {
+ rm -r shapely || die
+}
diff --git a/dev-python/structlog/Manifest b/dev-python/structlog/Manifest
index cd8db1561d2f..e31d5f74ac6c 100644
--- a/dev-python/structlog/Manifest
+++ b/dev-python/structlog/Manifest
@@ -1,3 +1,5 @@
DIST structlog-23.1.0.tar.gz 746300 BLAKE2B 94e6099729803fff717c24922f90be0484f045e4fe231398242a890e6e18359f9a5c231985818d655141e978fe06546f36540a96ebe332f5bbf6d5500fc111c0 SHA512 24e28791e12a4a106062368771385ac06e80bd50fb051d2a71205cf9e6ebf92ca8a4e6c0efefd8d862699ac8dee9b4d1ccf4ee33f8d76233acf5256d69f9593c
+DIST structlog-23.2.0.tar.gz 749288 BLAKE2B c5a619ddacc04e6f2377c66aa343ecfddb8001d5d87c3f10859c2644ce427150771abe4942d57a9ea6db1029af5bde825a0a99218921beea08c4fd147fc5c1cb SHA512 01ddaf3b819da66beefef1810e6d460a2e5ce37f6be3dee144411a3a5db7c81bdfd83a0843172a921406596a2b9f1f87de08caf881c7d701496825203d13bdad
EBUILD structlog-23.1.0.ebuild 704 BLAKE2B 2363f738c2406ebe347cd3fad931e22ba2f69df60b7b3791cdbe6d0f49b584a5e4d1b0650050f77e2c72e8f31eddf10268d9e91d69aecc45624d6242662c2097 SHA512 c5c3de8bba6edf25d4af46a690b3911b9d6d1f394614400d5f4c990173ac64f1db961ecf00100d8a0cde887d83f82105aa8a68a611acfdefb7a6318aab3af272
+EBUILD structlog-23.2.0.ebuild 711 BLAKE2B 1da61a6e200a472808c7e3985b887b78a47d4b024cfe0f9f055ade5f2768ba5b7e9595937e773a856497066545ee03b0c5592f1f7c3d091a122263cfd077a389 SHA512 2a1e59c2611deb6b155439c302ab9408fde98a52a606edc9bcc8385267968049deae35ca75b87cb9d04db4b9821ade59679293651afc4b9e5f3b492cd2f60e57
MISC metadata.xml 499 BLAKE2B 3fd4b395c6312a21c1db3ad187013d4fafe64725d00fc7e0c1b7db7b1be3cdae014c0688f9bfc867af791cc806d4212d88b7f5f7e8446d32262e1f7d77aa7964 SHA512 87195f8f65e6892029749b08fe428f2d2bad0d261c562caebed9e6052f932d9f73d57227acdc456601bb9ed48f313d9ba8f2581f6d7949a2fd9b7ff3d9f03e57
diff --git a/dev-python/structlog/structlog-23.2.0.ebuild b/dev-python/structlog/structlog-23.2.0.ebuild
new file mode 100644
index 000000000000..c63e9ed46965
--- /dev/null
+++ b/dev-python/structlog/structlog-23.2.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Structured Logging for Python"
+HOMEPAGE="
+ https://github.com/hynek/structlog/
+ https://pypi.org/project/structlog/
+"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~riscv ~x86"
+
+BDEPEND="
+ dev-python/hatch-fancy-pypi-readme[${PYTHON_USEDEP}]
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pretend[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/xlsxwriter/Manifest b/dev-python/xlsxwriter/Manifest
index 8a1cd7d12771..2232b72320da 100644
--- a/dev-python/xlsxwriter/Manifest
+++ b/dev-python/xlsxwriter/Manifest
@@ -3,9 +3,11 @@ DIST XlsxWriter-RELEASE_3.1.3.gh.tar.gz 37317330 BLAKE2B 08dd76cfb7bcb336d0fa642
DIST XlsxWriter-RELEASE_3.1.4.gh.tar.gz 37324495 BLAKE2B ebedb84e46eb73e750b9442969c397bb9c77af807c1bd78fe956bf304ae942cb8575f8f410631c7ae542f9e16c1d5c76385ba232fec109bc5ccf59fd1843b2c3 SHA512 2faa7a9fc03a620c3a1f9230685b2bd09c5b282fb783d36a28de225b1d5e64663db32cd5da1a16ffe3cb4bc886f77b79eb7f13ce460c18f6e88667b9979e504e
DIST XlsxWriter-RELEASE_3.1.5.gh.tar.gz 37348174 BLAKE2B ae86c45f63dabe7678a476fcc7aae60de36a0b4b1a422b83ecfb6143ab0b1563ee274ea715aca7147e1fa184a3311c9f7c92c3b7d3c01bf934d5772c635862e3 SHA512 c2da3a2dc52e7f9b887e71828452484edabd99e882a3cbeed9969e04fef538cac2b48042900e9ac4bf8e41ed21178aa498b3ebecd018d2bdd31cad29b81c040b
DIST XlsxWriter-RELEASE_3.1.6.gh.tar.gz 37354453 BLAKE2B a2b54fb38d7c7a60b5814968431b781f533dc0803ed23aed38df4e78ea0d5f9315cddb00ec6d59db340e5cf19142cac2179ace53d42e903d8b0f2cfe64b0385b SHA512 4a7996163ff25881210b729d025998343bf9f142693a40e6f73039a3b4582e668699bbd27e1a77c0bbfba61f2160ecd8cf1179206d011217b46cf11d17b56bc4
+DIST XlsxWriter-RELEASE_3.1.7.gh.tar.gz 37369556 BLAKE2B e7eefd4fac6a791f917e19fd5559ac1fef436a0b304a1db9d436e21a2fc412b73de94a2a05a81acec5e297a07a11bdc953774947ec196fe666beb2ce85a2a21a SHA512 fd144eebbcb04e914aff1c2980353f0ddb88ef7841c70d1681561c86d925a201000931dba18bc15965fdb195bf3b2ea959b7c1ba21be8d1c7c6ed678c90c0fc7
EBUILD xlsxwriter-3.1.2.ebuild 686 BLAKE2B 52fa33088302e9839c34ca28f8d538dbc558014e41631b7034021195ddb88d1a9ce638976cbfd2151bc80cfa4e047a9f0393f3811c9241010412c2f5d1f3dacc SHA512 8e354be247dbb23e8575d0294ff5c55291fee6ebbdf0263a9b5fc1f20c624032cacc2b428db458b792200ea5d96e17839d7c20f9d82924dbdbdfe723aac9329e
EBUILD xlsxwriter-3.1.3.ebuild 692 BLAKE2B 7f9b0f52f78f33779786237a3545ed4e5aeeee39c7dac130ef35a3712e836335ccbbaa4ed4026c2193f0113576d90abc2b5f39bf5dc214020af90ae379d4f9a6 SHA512 435f5cc3459a2d86fddbc1f5cd47e9309e8d4b7775ae3fe12670a22b45f013b2da8cb0be038397a50846c4ac5c13276add71498d8a0a6368566acdf406769c79
EBUILD xlsxwriter-3.1.4.ebuild 692 BLAKE2B 1c78130c87cb708f3f865f2e324107a6194a8dfd90905c2fcd42775f98723af61b7b4879cbb84b854b749fed2421c50da4579e2032a302cb6e753e6992d4a0b0 SHA512 e015ce171733e7eb7ca7b86c2a1631b53288d77e4770821f2be6d0f5a2cbe54073229d9b03cb7ed3ca65023e92ba5b661c2affa700396347a368f69f4b2a9867
EBUILD xlsxwriter-3.1.5.ebuild 692 BLAKE2B 1c78130c87cb708f3f865f2e324107a6194a8dfd90905c2fcd42775f98723af61b7b4879cbb84b854b749fed2421c50da4579e2032a302cb6e753e6992d4a0b0 SHA512 e015ce171733e7eb7ca7b86c2a1631b53288d77e4770821f2be6d0f5a2cbe54073229d9b03cb7ed3ca65023e92ba5b661c2affa700396347a368f69f4b2a9867
EBUILD xlsxwriter-3.1.6.ebuild 692 BLAKE2B 1c78130c87cb708f3f865f2e324107a6194a8dfd90905c2fcd42775f98723af61b7b4879cbb84b854b749fed2421c50da4579e2032a302cb6e753e6992d4a0b0 SHA512 e015ce171733e7eb7ca7b86c2a1631b53288d77e4770821f2be6d0f5a2cbe54073229d9b03cb7ed3ca65023e92ba5b661c2affa700396347a368f69f4b2a9867
+EBUILD xlsxwriter-3.1.7.ebuild 692 BLAKE2B 1c78130c87cb708f3f865f2e324107a6194a8dfd90905c2fcd42775f98723af61b7b4879cbb84b854b749fed2421c50da4579e2032a302cb6e753e6992d4a0b0 SHA512 e015ce171733e7eb7ca7b86c2a1631b53288d77e4770821f2be6d0f5a2cbe54073229d9b03cb7ed3ca65023e92ba5b661c2affa700396347a368f69f4b2a9867
MISC metadata.xml 411 BLAKE2B e41e1e6dddecef73fff1c0bd74d51b023694ea6eb162022679a2939819f5c3339b1e76d00e25f761c46f66d323a5ad7085ed86fb13fbe3f53526c75004a68e93 SHA512 63242ff274e1dde596e50f9360e1247084b7bae05cd42d60605700c49e33b53849529578cf532415b899bd2ccd04066f99e97c6e80d53c13f71522a041579976
diff --git a/dev-python/xlsxwriter/xlsxwriter-3.1.7.ebuild b/dev-python/xlsxwriter/xlsxwriter-3.1.7.ebuild
new file mode 100644
index 000000000000..ef0440386377
--- /dev/null
+++ b/dev-python/xlsxwriter/xlsxwriter-3.1.7.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1
+
+TAG=RELEASE_${PV}
+MY_P=XlsxWriter-${TAG}
+DESCRIPTION="Python module for creating Excel XLSX files"
+HOMEPAGE="
+ https://github.com/jmcnamara/XlsxWriter/
+ https://pypi.org/project/XlsxWriter/
+"
+SRC_URI="
+ https://github.com/jmcnamara/XlsxWriter/archive/${TAG}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+distutils_enable_tests pytest